#
# spec file for package perl-App-CLI
#
# Copyright (c) 2020 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           perl-App-CLI
Version:        0.52
Release:        1.16
%define cpan_name App-CLI
Summary:        Dispatcher module for command line interface programs
License:        Artistic-1.0 OR GPL-1.0-or-later
Group:          Development/Libraries/Perl
URL:            https://metacpan.org/release/%{cpan_name}
Source0:        https://cpan.metacpan.org/authors/id/P/PT/PTC/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Capture::Tiny)
BuildRequires:  perl(Class::Load)
BuildRequires:  perl(Locale::Maketext::Simple)
BuildRequires:  perl(Pod::Simple::Text)
#BuildRequires:  perl(Test::Kwalitee)
BuildRequires:  perl(Test::Pod)
Requires:       perl(Capture::Tiny)
Requires:       perl(Class::Load)
Requires:       perl(Locale::Maketext::Simple)
Requires:       perl(Pod::Simple::Text)
%{perl_requires}

%description
'App::CLI' dispatches CLI (command line interface) based commands into
command classes. It also supports subcommand and per-command options.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%check
make test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes README.md
%license LICENSE

%changelog
* Thu Dec 17 2020 Tina Müller <tina.mueller@suse.com>
- Ignore Test::Kwalitee dependency (not needed)
* Wed Dec 16 2020 Tina Müller <timueller+perl@suse.de>
- updated to 0.52
  see /usr/share/doc/packages/perl-App-CLI/Changes
  0.52 Tue Dec 15 11:27:33 CET 2020
  * set bugtracker metadata explicitly
  0.51 Mon Dec 14 19:56:11 CET 2020
  * fix licensing inconsistency (spotted by kentnl)
* Sun Oct  7 2018 Dirk Stoecker <opensuse@dstoecker.de>
- Fix autogenerated changes
* Fri Jul  6 2018 coolo@suse.com
- updated to 0.50
  see /usr/share/doc/packages/perl-App-CLI/Changes
* Wed Feb  7 2018 coolo@suse.com
- updated to 0.49
  see /usr/share/doc/packages/perl-App-CLI/Changes
  0.49 Mon Nov 06 07:46:11 CET 2017
  * add files to MANIFEST missing from last release
  0.48 Sun Nov 05 13:34:46 CET 2017
  * fixed help output behaviour (patch from sunnavy)
  * more rigorous testing of Help class
  * minor documentation improvements
  * add AppVeyor configuration
  0.47 Wed Nov 01 22:31:41 CET 2017
  * add missing prereqs
  * add missing LICENSE file
  * add POD tests
  * fix utf8 error in POD
  0.46  Wed Nov 01 20:21:58 CEST 2017
  * many documentation updates
  * extended test suite
  * fix several perlcritic issues
  * mention package aliases in command list (José Joaquín Atria)
  * add default version command (José Joaquín Atria)
  * add a 'commands' command to list commands in app (José Joaquín Atria)
  * multiple general improvements to the code (José Joaquín Atria)
* Sun Jul  2 2017 coolo@suse.com
- updated to 0.45
  see /usr/share/doc/packages/perl-App-CLI/Changes
  0.45  Wed Jun 28 23:05:58 CEST 2017
  * use a version number in the original style
  0.4.5  Wed Jun 28 22:59:33 CEST 2017
  * put VERSION back in main module file
  0.4.4  Wed 28 Jun 2017 22:52:33 CEST
  * remove 'provides' metadata
  0.4.3  Wed 28 Jun 2017 22:37:58 CEST
  * put VERSION back into only Makefile.PL
  * updated author information
  0.4.2  Wed 28 Jun 2017 22:25:29 CEST
  * add VERSION to all .pm files
  0.4.1  Wed 28 Jun 2017 21:44:06 CEST
  * move version number into Makefile.PL
  0.4  Wed 28 Jun 2017 21:37:23 CEST
  * version bump; PAUSE thinks that 0.313 is higher than 0.32
  0.32 Wed 28 Jun 2017 20:30:19 CEST
  * Fix RT#122101: unskip META.yml
  * Fix RT#120982: can't find inc/Module/Install.pm; replaced
    Module::Install with ExtUtils::MakeMaker
  * Fix RT#63798: fix typo in manpage
  * Fix RT#62241: signature broken (signature has been removed)
  * Fixed more typos in POD
  * Fixed some PerlCritic issues
  * Updated dependencies, specified repository and provides metadata,
    specified minimum Perl version
  0.313 Sat 4 Dec 2010 12:55:18 GMT
  * add more tests
  0.312 Fri 3 Dec 2010 12:06:53 GMT
  * add commands() and files() routines
  0.311 Fri 3 Dec 2010 05:30:16 GMT
  * add more docs
  * fix subcommand() to support old genre
* Thu Nov 17 2011 coolo@suse.com
- use original tar
* Mon Aug 22 2011 chris@computersalat.de
- fix deps
- disable auto_install
* Mon Mar 14 2011 coolo@novell.com
- update to 0.313
  * doc update
  * new cascading attribute for subcommands. thanks to @shelling++.
  * New Feature: Cascading Subcommand
  * Deprecated Feature: Long Option Subcommand (still work)
  * Abundant DOCs
  * Fix the command pattern used in help.
* Wed Dec  1 2010 coolo@novell.com
- switch to perl_requires macro
* Sat Nov 27 2010 coolo@novell.com
- recreate with cpanspec 1.78.02 and recompress tar
* Sun May 23 2010 coolo@novell.com
- do not build noarch
* Sun Feb 14 2010 coolo@novell.com
- update to 0.08
  * Allow commands to be provided as inner packages
* Sun Jan 10 2010 jengelh@medozas.de
- enable parallel build
* Wed Aug 26 2009 mls@suse.de
- make patch0 usage consistent
* Mon Aug  6 2007 mrueckert@suse.de
- initial package of version 0.07
  (based on the buildservice package from dmacvicar)
